/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreValuetype;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreValuetypeRecord extends UpdatableRecordImpl<TCoreValuetypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_valuetype.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valuetype.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_valuetype.pattern</code>. list of
     * values
     */
    public void setPattern(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valuetype.pattern</code>. list of
     * values
     */
    public String getPattern() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_valuetype.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valuetype.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreValuetypeRecord
     */
    public TCoreValuetypeRecord() {
        super(TCoreValuetype.T_CORE_VALUETYPE);
    }

    /**
     * Create a detached, initialised TCoreValuetypeRecord
     */
    public TCoreValuetypeRecord(Integer pk, String pattern, LocalDateTime lastchange) {
        super(TCoreValuetype.T_CORE_VALUETYPE);

        setPk(pk);
        setPattern(pattern);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
